libzypp: zypp::media::MountEntry Struct Reference

libzypp 17.25.10

Public Member Functions | Public Attributes | Related Functions | List of all members
zypp::media::MountEntry Struct Reference

A "struct mntent" like mount entry structure, but using std::strings. More...

`#include <Mount.h>`

## Public Member Functions
| MountEntry (const std::string &source, const std::string &target, const std::string &fstype, const std::string &options, const int dumpfreq=0, const int passnum=0)

## Public Attributes
std::string | src
| name of mounted file system More...
std::string | dir
| file system path prefix More...
std::string | type
| filesystem / mount type More...
std::string | opts
| mount options More...
int | freq
| dump frequency in days More...
int | pass
| pass number on parallel fsck More...

## Related Functions
(Note that these are not member functions.)
typedef std::vector< MountEntry > | MountEntries
| A vector of mount entries. More...
std::ostream & | operator<< (std::ostream &str, const MountEntry &obj)
| Stream output. More...

## Detailed Description

A "struct mntent" like mount entry structure, but using std::strings.

Definition at line 34 of file Mount.h.

## Constructor & Destructor Documentation

## ◆ MountEntry()

zypp::media::MountEntry::MountEntry | ( | const std::string & | source,
|  | const std::string & | target,
|  | const std::string & | fstype,
|  | const std::string & | options,
|  | const int | dumpfreq = `0`,
|  | const int | passnum = `0`
| ) |  |
| inline

Definition at line 36 of file Mount.h.

## Friends And Related Function Documentation

## ◆ MountEntries

typedef std::vector<MountEntry> MountEntries
| related

A vector of mount entries.

Definition at line 61 of file Mount.h.

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const MountEntry & | obj
| ) |  |
| related

Stream output.

Definition at line 40 of file Mount.cc.

## Member Data Documentation

## ◆ src

std::string zypp::media::MountEntry::src

name of mounted file system

Definition at line 50 of file Mount.h.

## ◆ dir

std::string zypp::media::MountEntry::dir

file system path prefix

Definition at line 51 of file Mount.h.

## ◆ type

std::string zypp::media::MountEntry::type

filesystem / mount type

Definition at line 52 of file Mount.h.

## ◆ opts

std::string zypp::media::MountEntry::opts

mount options

Definition at line 53 of file Mount.h.

## ◆ freq

int zypp::media::MountEntry::freq

dump frequency in days

Definition at line 54 of file Mount.h.

## ◆ pass

int zypp::media::MountEntry::pass

pass number on parallel fsck

Definition at line 55 of file Mount.h.

The documentation for this struct was generated from the following file:

- zypp/media/Mount.h